Update a course evaluation period
curl --request PATCH \
--url https://api.scholarlysoftware.com/api/v1/course_evaluation_periods/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "course_evaluation_period",
"attributes": {
"name": "Fall 2026 Course Evaluations",
"results_release_at": "<string>",
"minimum_response_threshold": 123,
"flag_answers_at_or_below": 123,
"flag_standard_deviation_above": 123,
"results_visible_to_roles": [],
"results_guidelines": "<string>",
"course_uuids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
},
"relationships": {}
}
}
'import requests
url = "https://api.scholarlysoftware.com/api/v1/course_evaluation_periods/{id}"
payload = { "data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "course_evaluation_period",
"attributes": {
"name": "Fall 2026 Course Evaluations",
"results_release_at": "<string>",
"minimum_response_threshold": 123,
"flag_answers_at_or_below": 123,
"flag_standard_deviation_above": 123,
"results_visible_to_roles": [],
"results_guidelines": "<string>",
"course_uuids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"]
},
"relationships": {}
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/vnd.api+json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/vnd.api+json'},
body: JSON.stringify({
data: {
id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
type: 'course_evaluation_period',
attributes: {
name: 'Fall 2026 Course Evaluations',
results_release_at: '<string>',
minimum_response_threshold: 123,
flag_answers_at_or_below: 123,
flag_standard_deviation_above: 123,
results_visible_to_roles: [],
results_guidelines: '<string>',
course_uuids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a']
},
relationships: {}
}
})
};
fetch('https://api.scholarlysoftware.com/api/v1/course_evaluation_periods/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "course_evaluation_period",
"attributes": {
"created_at": "<string>",
"updated_at": "<string>",
"name": "Fall 2026 Course Evaluations",
"evaluation_type": "end_of_term",
"kind": "section",
"draft": true,
"status": "draft",
"results_release_at": "<string>",
"minimum_response_threshold": 123,
"flag_answers_at_or_below": 123,
"flag_standard_deviation_above": 123,
"results_visible_to_roles": [
"instructor"
],
"results_guidelines": "<string>",
"course_uuids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
},
"relationships": {
"term": {
"links": {
"related": "<string>"
},
"meta": {},
"data": {
"type": "course_evaluation_term",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
},
"schedule": {
"links": {
"related": "<string>"
},
"meta": {},
"data": {
"type": "course_evaluation_period_schedule",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
},
"evaluations": {
"links": {
"related": "<string>"
},
"meta": {},
"data": [
{
"type": "course_evaluation",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
},
"question_sets": {
"links": {
"related": "<string>"
},
"meta": {},
"data": [
{
"type": "course_evaluation_question_set",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
},
"courses": {
"links": {
"related": "<string>"
},
"meta": {},
"data": [
{
"type": "course_evaluation_course",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
}
}
}
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"detail": "<string>"
}
]
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"detail": "<string>"
}
]
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"detail": "<string>"
}
]
}{
"errors": [
{
"status": "422",
"title": "Validation Error",
"detail": "Label can't be blank"
}
]
}Course Evaluation Periods
Update a course evaluation period
PATCH
/
api
/
v1
/
course_evaluation_periods
/
{id}
Update a course evaluation period
curl --request PATCH \
--url https://api.scholarlysoftware.com/api/v1/course_evaluation_periods/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "course_evaluation_period",
"attributes": {
"name": "Fall 2026 Course Evaluations",
"results_release_at": "<string>",
"minimum_response_threshold": 123,
"flag_answers_at_or_below": 123,
"flag_standard_deviation_above": 123,
"results_visible_to_roles": [],
"results_guidelines": "<string>",
"course_uuids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
},
"relationships": {}
}
}
'import requests
url = "https://api.scholarlysoftware.com/api/v1/course_evaluation_periods/{id}"
payload = { "data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "course_evaluation_period",
"attributes": {
"name": "Fall 2026 Course Evaluations",
"results_release_at": "<string>",
"minimum_response_threshold": 123,
"flag_answers_at_or_below": 123,
"flag_standard_deviation_above": 123,
"results_visible_to_roles": [],
"results_guidelines": "<string>",
"course_uuids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"]
},
"relationships": {}
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/vnd.api+json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/vnd.api+json'},
body: JSON.stringify({
data: {
id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
type: 'course_evaluation_period',
attributes: {
name: 'Fall 2026 Course Evaluations',
results_release_at: '<string>',
minimum_response_threshold: 123,
flag_answers_at_or_below: 123,
flag_standard_deviation_above: 123,
results_visible_to_roles: [],
results_guidelines: '<string>',
course_uuids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a']
},
relationships: {}
}
})
};
fetch('https://api.scholarlysoftware.com/api/v1/course_evaluation_periods/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "course_evaluation_period",
"attributes": {
"created_at": "<string>",
"updated_at": "<string>",
"name": "Fall 2026 Course Evaluations",
"evaluation_type": "end_of_term",
"kind": "section",
"draft": true,
"status": "draft",
"results_release_at": "<string>",
"minimum_response_threshold": 123,
"flag_answers_at_or_below": 123,
"flag_standard_deviation_above": 123,
"results_visible_to_roles": [
"instructor"
],
"results_guidelines": "<string>",
"course_uuids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
},
"relationships": {
"term": {
"links": {
"related": "<string>"
},
"meta": {},
"data": {
"type": "course_evaluation_term",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
},
"schedule": {
"links": {
"related": "<string>"
},
"meta": {},
"data": {
"type": "course_evaluation_period_schedule",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
},
"evaluations": {
"links": {
"related": "<string>"
},
"meta": {},
"data": [
{
"type": "course_evaluation",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
},
"question_sets": {
"links": {
"related": "<string>"
},
"meta": {},
"data": [
{
"type": "course_evaluation_question_set",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
},
"courses": {
"links": {
"related": "<string>"
},
"meta": {},
"data": [
{
"type": "course_evaluation_course",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
}
}
}
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"detail": "<string>"
}
]
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"detail": "<string>"
}
]
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"detail": "<string>"
}
]
}{
"errors": [
{
"status": "422",
"title": "Validation Error",
"detail": "Label can't be blank"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Bearer token
Path Parameters
Body
application/vnd.api+json
Show child attributes
Show child attributes
Response
course evaluation period updated
Show child attributes
Show child attributes
⌘I